Bug 995167 - Review Request: lokalize - Computer-aided translation system
Review Request: lokalize - Computer-aided translation system
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews kde-4.11
  Show dependency treegraph
 
Reported: 2013-08-08 13:18 EDT by Jan Grulich
Modified: 2016-08-14 12:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 08:40:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mbriza: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Grulich 2013-08-08 13:18:48 EDT
Spec URL: http://jgrulich.fedorapeople.org/lokalize.spec
SRPM URL: http://jgrulich.fedorapeople.org/lokalize-4.10.97-1.fc19.src.rpm
Description: Computer-aided translation system focusing on productivity and performance
Fedora Account System Username: jgrulich

Successful build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5795257

This package was previously part of kdesdk. Now it's distributed separately in KDE 4.11.
Comment 1 Martin Bříza 2013-08-21 08:46:28 EDT
The standalone spec and spec contained in the SRPM differ.
Also, the package doesn't build because kdesdk-strigi-analyzers isn't yet included in the repository. I'll just assume the build you linked.
Comment 2 Jan Grulich 2013-08-21 09:04:02 EDT
Updated:

Spec URL: http://jgrulich.fedorapeople.org/lokalize.spec
SRPM URL: http://jgrulich.fedorapeople.org/lokalize-4.10.97-1.fc19.src.rpm

Added GFDL license and %doc
Comment 3 Martin Bříza 2013-08-21 09:43:47 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Package contains BR: python2-devel or python3-devel
  See: http://fedoraproject.org/wiki/Packaging:Python#BuildRequires
- update-desktop-database is invoked when required
  Note: desktop file(s) in lokalize
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or generated".
     9 files have unknown license. Detailed output of licensecheck in
     /home/mbriza/995167-lokalize/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: gtk-update-icon-cache is invoked when required
     Note: icons in lokalize
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 624640 bytes in 12 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
[ ]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 1064960 bytes in /usr/share 1064960
     lokalize-4.10.97-1.fc20.x86_64.rpm
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.32 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.32
INFO: Mock Version: 1.1.32
Start: lock buildroot
INFO: installing package(s): /home/mbriza/995167-lokalize/results/lokalize-4.10.97-1.fc20.x86_64.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', 'install', '/home/mbriza/995167-lokalize/results/lokalize-4.10.97-1.fc20.x86_64.rpm', '--setopt=tsflags=nocontexts']
Error: Package: lokalize-4.10.97-1.fc20.x86_64 (/lokalize-4.10.97-1.fc20.x86_64)
           Requires: kdesdk-strigi-analyzer = 4.10.97-1.fc20
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: lokalize-4.10.97-1.fc20.x86_64.rpm
lokalize.x86_64: E: non-executable-script /usr/share/kde4/apps/lokalize/scripts/odf/xliffmerge.py 0644L /usr/bin/env
lokalize.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/lokalize.svgz
lokalize.x86_64: E: script-without-shebang /usr/share/kde4/apps/lokalize/scripts/find-gui-text.sh
lokalize.x86_64: W: no-manual-page-for-binary lokalize
1 packages and 0 specfiles checked; 2 errors, 2 warnings.




Requires
--------
lokalize (rpmlib, GLIBC filtered):
    /bin/sh
    kdesdk-strigi-analyzer
    kross(python)
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtScript.so.4()(64bit)
    libQtSql.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libhunspell-1.3.so.0()(64bit)
    libkdecore.so.5()(64bit)
    libkdeui.so.5()(64bit)
    libkfile.so.4()(64bit)
    libkio.so.5()(64bit)
    libkparts.so.4()(64bit)
    libkrosscore.so.4()(64bit)
    libkrossui.so.4()(64bit)
    libm.so.6()(64bit)
    libnepomuk.so.4()(64bit)
    libnepomukutils.so.4()(64bit)
    libpthread.so.0()(64bit)
    libsoprano.so.4()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libthreadweaver.so.4()(64bit)
    rtld(GNU_HASH)



Provides
--------
lokalize:
    kdesdk-lokalize
    lokalize
    lokalize(x86-64)
    mimehandler(application/x-lokalize-project)
    mimehandler(application/x-xliff)
    mimehandler(text/x-gettext-translation)



Source checksums
----------------
http://download.kde.org/unstable/4.10.97/src/lokalize-4.10.97.tar.xz :
  CHECKSUM(SHA256) this package     : c2b6354c21b2359a835ad99974cdcc2e3d00771ef650ed4b12121ba0b4b4bdc4
  CHECKSUM(SHA256) upstream package : c2b6354c21b2359a835ad99974cdcc2e3d00771ef650ed4b12121ba0b4b4bdc4


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 995167 -m fedora-rawhide-x86_64
Comment 4 Martin Bříza 2013-08-21 10:07:16 EDT
> Issues:
> =======
> - Package installs properly.
>   Note: Installation errors (see attachment)
>   See: https://fedoraproject.org/wiki/Packaging:Guidelines

Dependency still isn't in the repository, therefore no installs possible right now (build is fine as I misstated in comment 1).

> - Package contains BR: python2-devel or python3-devel
>   See: http://fedoraproject.org/wiki/Packaging:Python#BuildRequires

Should already be addressed: BuildRequires: kross(python)

> - update-desktop-database is invoked when required
>   Note: desktop file(s) in lokalize
>   See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

Not important.

> Rpmlint
> -------
> Checking: lokalize-4.10.97-1.fc20.x86_64.rpm
> lokalize.x86_64: E: non-executable-script

Solve by adding chmod +x %{buildroot}/%{_kde4_appsdir}/lokalize/scripts/odf/xliffmerge.py to the %install phase for example

> lokalize.x86_64: E: script-without-shebang 
> /usr/share/kde4/apps/lokalize/scripts/find-gui-text.sh

It would be nice to have this fixed but it doesn't seem to directly affect usability.
Comment 5 Jan Grulich 2013-08-22 01:55:22 EDT
Updated:

Spec URL: http://jgrulich.fedorapeople.org/lokalize.spec
SRPM URL: http://jgrulich.fedorapeople.org/lokalize-4.11.0-1.fc19.src.rpm

Fixed the issues above, updated to 4.11.0, better url.
Comment 6 Martin Bříza 2013-08-27 04:22:57 EDT
Should be fine now, even though there still aren't the deps. Approved.
Comment 7 Jan Grulich 2013-08-27 04:26:32 EDT
New Package SCM Request
=======================
Package Name: lokalize
Short Description: Computer-aided translation system
Owners: than rdieter kkofler ltinkl jgrulich mbriza
Branches: f18 f19 f20
InitialCC:
Comment 8 Gwyn Ciesla 2013-08-27 08:20:11 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.